Skip to main content
PUT
/
api
/
email-drafts
/
{draft_id}
Update a draft
curl --request PUT \
  --url https://api.morphic.io/api/email-drafts/{draft_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "subject": "<string>",
  "body_html": "<string>",
  "to_emails": [
    "<string>"
  ],
  "cc_emails": [
    "<string>"
  ],
  "bcc_emails": [
    "<string>"
  ],
  "attachments": [
    {}
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "subject": "<string>",
  "body_html": "<string>",
  "to_emails": [
    "<string>"
  ],
  "cc_emails": [
    "<string>"
  ],
  "bcc_emails": [
    "<string>"
  ],
  "attachments": [
    {}
  ]
}

Authorizations

X-API-Key
string
header
required

API key (sk_xxx) from Developer Settings. No X-Account-ID needed.

Headers

x-account-id
string | null

Path Parameters

draft_id
string<uuid>
required

Body

application/json
subject
string | null
body_html
string | null
to_emails
string[] | null
cc_emails
string[] | null
bcc_emails
string[] | null
attachments
Attachments · object[] | null

Response

Successful Response

id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
account_id
string<uuid>
required
user_id
string<uuid>
required
subject
string | null
required
body_html
string
required
to_emails
string[]
required
cc_emails
string[]
required
bcc_emails
string[]
required
attachments
Attachments · object[]
required